routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Artisan;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/config-clear', function() {
    Artisan::call('config:clear');
    return 'Configuration cache cleared!';
});

Route::get('/config-cache', function() {
    Artisan::call('config:cache');
    return 'Configuration cache cleared! <br> Configuration cached successfully!';
});

Route::get('/cache-clear', function() {
    Artisan::call('cache:clear');
    return 'Application cache cleared!';
});

Route::get('/view-cache', function() {
    Artisan::call('view:cache');
    return 'Compiled views cleared! <br> Blade templates cached successfully!';
});

Route::get('/view-clear', function() {
    Artisan::call('view:clear');
    return 'Compiled views cleared!';
});

Route::get('/route-cache', function() {
    Artisan::call('route:cache');
    return 'Route cache cleared! <br> Routes cached successfully!';
});

Route::get('/route-clear', function() {
    Artisan::call('route:clear');
    return 'Route cache cleared!';
});

Route::get('/storage-link', function() {
    Artisan::call('storage:link');
    return 'The links have been created.';
});

Auth::routes();

Route::get('/', [App\Http\Controllers\HomeController::class, 'root'])->name('root');
// Route::get('/testing', [App\Http\Controllers\Pengaturan\PengaturanProfileController::class, 'index'])->name('index');

Route::resource('master-jenis-kegiatan', App\Http\Controllers\Master\MasterJenisKegiatanController::class);
Route::resource('master-jenis-usaha', App\Http\Controllers\Master\MasterJenisUsahaController::class);
Route::resource('master-pekerjaan', App\Http\Controllers\Master\MasterPekerjaanController::class);
Route::resource('master-agama', App\Http\Controllers\Master\MasterAgamaController::class);
Route::resource('master-kekeluargaan', App\Http\Controllers\Master\MasterKekeluargaanController::class);
Route::resource('master-status-perkawinan', App\Http\Controllers\Master\MasterStatusPerkawinanController::class);

//Update User Details
Route::post('/update-profile/{id}', [App\Http\Controllers\HomeController::class, 'updateProfile'])->name('updateProfile');
Route::post('/update-password/{id}', [App\Http\Controllers\HomeController::class, 'updatePassword'])->name('updatePassword');

// Route::get('{any}', [App\Http\Controllers\HomeController::class, 'index1'])->name('index1');

//Language Translation
Route::get('index/{locale}', [App\Http\Controllers\HomeController::class, 'lang']);
// Route::get('/pengaturan-profile', [\App\Http\Controllers\Pengaturan\PengaturanProfileController::class, 'index'])->name('index');
Route::resource('pengaturan-profile', App\Http\Controllers\Pengaturan\PengaturanProfileController::class);
Route::resource('pengaturan-kecamatan', App\Http\Controllers\Pengaturan\PengaturanKecamatanController::class);
Route::resource('pengaturan-desa', App\Http\Controllers\Pengaturan\PengaturanDesaController::class);
Route::resource('pengaturan-pengurus', App\Http\Controllers\Pengaturan\PengaturanPengurusController::class);


Route::resource('kelompok-list', App\Http\Controllers\Anggota\Kelompok\KelompokListController::class);
Route::resource('kelompok-anggota', App\Http\Controllers\Anggota\Kelompok\KelompokAnggotaController::class);
Route::resource('individu-anggota', App\Http\Controllers\Anggota\Individu\IndividuAnggotaController::class);

Route::resource('proposal-kelompok', App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class);

Route::get('/tambah-anggota-proposal/{id}', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'tambahAnggotaKelompok'])->name('tambahAnggotaKelompok');

Route::post('/store-tambah-anggota-proposal', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'storeAnggotaKelompok'])->name('storeAnggotaKelompok');
Route::post('/add-proposal', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'addProposal'])->name('addProposal');
Route::post('/store-proposal', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'storeProposal'])->name('storeProposal');
Route::get('/proposal-finished/{id}', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'proposalFinished'])->name('proposalFinished');

Route::get('/verifikasi-proposal/{id}', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiProposal'])->name('verifikasiProposal');
Route::post('verifikasi-proposal-store', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiProposalStore'])->name('verifikasiProposalStore');
Route::post('verifikasi-proposal-add', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiProposalAdd'])->name('verifikasiProposalAdd');
Route::post('verifikasi-proposal-create', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiProposalStore'])->name('verifikasiProposalStore');

Route::get('verifikasi-finished/{id}', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiFinished'])->name('verifikasiFinished');


// Route::resource('/verifikasi-proposal', App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class);



Route::get('/dokumen-verifikasi/{id}', [App\Http\Controllers\Proposal\Kelompok\Dokumen\DokumenController::class, 'verifikasi'])->name('verifikasi');
Route::get('/dokumen-anggota-kelompok/{id}', [App\Http\Controllers\Proposal\Kelompok\Dokumen\DokumenController::class, 'anggotaKelompok'])->name('anggotaKelompok');
Route::get('/dokumen-surat-rekomendasi/{id}', [App\Http\Controllers\Proposal\Kelompok\Dokumen\DokumenController::class, 'suratRekomendasi'])->name('suratRekomendasi');
Route::get('/dokumen-permohonan-kredit/{id}', [App\Http\Controllers\Proposal\Kelompok\Dokumen\DokumenController::class, 'permohonanKredit'])->name('permohonanKrefit');






// Route::get('provinces', 'DependentDropdownController@provinces')->name('provinces');
Route::get('/provinces', [\App\Http\Controllers\DependantDropdownController::class, 'provinces'])->name('provinces');
Route::get('/cities', [\App\Http\Controllers\DependantDropdownController::class, 'cities'])->name('cities');
Route::get('/districts', [\App\Http\Controllers\DependantDropdownController::class, 'districts'])->name('districts');
Route::get('/villages', [\App\Http\Controllers\DependantDropdownController::class, 'villages'])->name('villages');

app/Http/Controllers/Anggota/Individu/IndividuAnggotaController.php
<?php

namespace App\Http\Controllers\Anggota\Individu;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;

class IndividuAnggotaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = DB::table('tb_anggota_individu')->get();
        return view('Anggota.anggotaIndividu.anggotaIndividuShow',['data' => $data])->with([
            'title' => 'Anggota Individu'
        ]);

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $desa = DB::table('tb_desa')->get();
        $jenisUsaha = DB::table('m_jenis_usaha')->get();
        $jenisKegiatan = DB::table('m_jenis_kegiatan')->get();
        return view('Anggota.anggotaIndividu.anggotaIndividuCreate',[
            'desa' => $desa,
            'jenisUsaha' => $jenisUsaha,
            'jenisKegiatan' => $jenisKegiatan,
            ])->with([
            'title' => 'Anggota Individu'
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $imageName = '';
        $input =$request->all();
        if ($image = $request->file('fileGambar')) {
            $destinationPath = 'images/logo-upk';
            $profileImage = date('YmdHis') . "." . $image->getClientOriginalExtension();
            $imageName = $destinationPath.'/'.$profileImage;
            $image->move($destinationPath, $profileImage);
            $input['fileGambar'] = "$profileImage";
        }else{
            unset($input['fileGambar']);
        }

        // return $imageName;

        DB::table('tb_anggota_individu')->insert([
            'id' => $request->id,
            'tanggal_masuk' => $request->tanggalMasuk,
            'kode_registrasi' => $request->kodeRegistrasi,
            'no_kk' => $request->noKK,
            'no_nik' => $request->nik,
            'nama_lengkap' => $request->namaLengkap,
            'jenis_kelamin' => $request->jenisKelamin,
            'tempat_lahir' => $request->tempatLahir,
            'tanggal_lahir' => $request->tanggalLahir,
            'telp' => $request->telp,
            'alamat' => $request->alamat,
            'rt' => $request->rt,
            'rw' => $request->rw,
            'desa' => $request->desa,
            'kecamatan' => $request->kecamatan,
            'kabupaten' => $request->kabupaten,
            'propinsi' => $request->propinsi,
            'kode_pos' => $request->kodePos,
            'keanggotaan' => $request->keanggotaan,
            'status' => $request->status,
            'tanggal_keluar' => $request->tanggalKeluar,
            'agama' => $request->agama,
            'status_perkawinan' => $request->statusPerkawinan,
            'pekerjaan' => $request->pekerjaan,
            'jumlah_tabungan' => $request->jumlahTabungan,
            'jumlah_pinjaman' => $request->jumlahPinjaman,
            'jenis_usaha' => $request->jenisUsaha,
            'catatan_khusus' => $request->catatanKhusus,
            'tipe_anggota' => $request->tipeAnggota,
            'photo' => $imageName,
            'created_at' => Carbon::Now()

        ]);
        return redirect('individu-anggota')->with('success', 'Data Berhasil Ditambah');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $data = DB::table('tb_anggota_individu')->where('id',$id)->get();
        return view('Anggota.anggotaIndividu.anggotaIndividuDetail',['data' => $data])->with([
            'title' => 'Anggota Individu'
        ]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $desa = DB::table('tb_desa')->get();
        $jenisUsaha = DB::table('m_jenis_usaha')->get();
        $jenisKegiatan = DB::table('m_jenis_kegiatan')->get();
        $data = DB::table('tb_anggota_individu')->where('id',$id)->get();
        return view('Anggota.anggotaIndividu.anggotaIndividuEdit',[
            'data' => $data,
            'desa' => $desa,
            'jenisUsaha' => $jenisUsaha,
            'jenisKegiatan' => $jenisKegiatan,
            ])->with([
            'title' => 'Anggota Individu'
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $imageName = '';
        $input =$request->all();
        if ($image = $request->file('fileGambar')) {
            $destinationPath = 'images/logo-upk';
            $profileImage = date('YmdHis') . "." . $image->getClientOriginalExtension();
            $imageName = $destinationPath.'/'.$profileImage;
            $image->move($destinationPath, $profileImage);
            $input['fileGambar'] = "$profileImage";
        }else{
            unset($input['fileGambar']);
        }

        DB::table('tb_anggota_individu')->where('id', $id)->update([
            'tanggal_masuk' => $request->tanggalMasuk,
            'kode_registrasi' => $request->kodeRegistrasi,
            'no_kk' => $request->noKK,
            'no_nik' => $request->nik,
            'nama_lengkap' => $request->namaLengkap,
            'jenis_kelamin' => $request->jenisKelamin,
            'tempat_lahir' => $request->tempatLahir,
            'tanggal_lahir' => $request->tanggalLahir,
            'telp' => $request->telp,
            'alamat' => $request->alamat,
            'rt' => $request->rt,
            'rw' => $request->rw,
            'desa' => $request->desa,
            'kecamatan' => $request->kecamatan,
            'kabupaten' => $request->kabupaten,
            'propinsi' => $request->propinsi,
            'kode_pos' => $request->kodePos,
            'keanggotaan' => $request->keanggotaan,
            'status' => $request->status,
            'tanggal_keluar' => $request->tanggalKeluar,
            'agama' => $request->agama,
            'status_perkawinan' => $request->statusPerkawinan,
            'pekerjaan' => $request->pekerjaan,
            'jumlah_tabungan' => $request->jumlahTabungan,
            'jumlah_pinjaman' => $request->jumlahPinjaman,
            'jenis_usaha' => $request->jenisUsaha,
            'catatan_khusus' => $request->catatanKhusus,
            'tipe_anggota' => $request->tipeAnggota,
            'photo' => $imageName,
            'updated_at' => Carbon::now()
        
        ]);


        return redirect('individu-anggota')->with([

            'title' => 'Anggota Individu',
            'success' => 'Data Berhasil Di Update'
        ]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {

        DB::table('tb_anggota_individu')->where('id', $id)->delete();
        return redirect('individu-anggota')->with([
            'title' => 'Anggota Kelompok',
            'success' => 'Data Berhasil Dihapus'
        ]);

    }
}

resources/views/Anggota/anggotaKelompok/anggotaKelompokCreate.blade.php
@extends('layouts.master')

@section('title'){{$title}} @endsection

@section('css')
<!-- select2 css -->
<link href="{{ url('assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="{{ URL::asset('/assets/libs/datepicker/datepicker.min.css') }}">
<link href="{{ URL::asset('/assets/libs/bootstrap-datepicker/bootstrap-datepicker.min.css') }}" rel="stylesheet"
    type="text/css">

<!-- dropzone css -->
<link href="{{ url('assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />

@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Keanggotaan @endslot
@slot('title') Tambah Anggota Kelompok @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                @if ($errors->any())
                <div class="alert alert-danger">
                    <strong>Whoops!</strong> There were some problems with your input.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
                @endif
                <form action="{{ route('kelompok-anggota.store') }}" method="post" class="custom-validation" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="jenisKegiatan">Nama Kelompok</label>
                                <select name="kelompok" class="form-control select2" required>
                                    <option value="" selected disabled>-- Pilih Kelompok --</option>
                                    @foreach ($kelompok as $kelompok )

                                    <option value="{{ $kelompok->id }}">{{ $kelompok->nama_kelompok }}</option>
                                    @endforeach

                                </select>
                            </div>
                            <div class="mb-3">
                                <label for="keterangan">Kode Anggota</label>
                                <input type="text" name="kodeAnggota" class="form-control" id="kodeAnggota" readonly>
                            </div>
                            <div class="mb-3">
                                <label for="keterangan">NIK</label>
                                <input type="text" name="nik" class="form-control" required>
                            </div>
                            <div class="mb-3">
                                <label for="keterangan">Nama Lengkap</label>
                                <input type="text" name="nama" class="form-control" required>
                            </div>
                            <div class="mb-3">
                                <label for="jenisKelamin">Jenis Kelamin</label>
                                <select name='jenisKelamin' class="form-control select2" required>
                                    <option value="" selected disabled>-- Pilih --</option>
                                    <option value="L">Laki-Laki</option>
                                    <option value="P">Perempuan</option>
                                </select>
                            </div>
                            <div class="mb-3">
                                <label for="desa">Jabatan</label>
                                <select name="jabatan" class="form-control select2">
                                    <option value="" selected disabled>--- Pilih Jabatan ---</option>
                                    @foreach ($jabatan as $jabatan)
                                    <option value="{{ $jabatan->id }}">{{ $jabatan->jabatan }}</option  ption>

                                    @endforeach

                                </select>
                            </div>
                            <div class="mb-3">
                                <label for="alamat">Tempat Lahir</label>
                                <input type="text" name="tempatLahir" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="tanggalBerdiri">Tanggal Lahir</label>
                                <div class="input-group" id="datepicker2">
                                    <input type="text" class="form-control" placeholder="Tanggal Lahir"
                                        data-date-format="yyyy-mm-dd" data-date-container='#datepicker2'
                                        data-provide="datepicker" data-date-autoclose="true" name="tanggalLahir">
                                    <span class="input-group-text"><i class="mdi mdi-calendar"></i></span>
                                </div>
                            </div>
                            <div class="mb-3">
                                <label for="alamat">No Telepon</label>
                                <input type="text" name="telp" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="alamat">Alamat </label>
                                <textarea name="alamat" class="form-control"></textarea>
                            </div>
                            <div class="mb-3">
                                <label for="status">Status</label>
                               <select name="status" class="form-control select2">
                                   <option value="" selected disabled>--- Pilih ---</option>
                                   <option value="0">Aktif</option>
                                   <option value="1">Pasif</option>
                               </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="alamat">Jumlah Tabungan</label>
                                <input type="text" name="jumlahTabungan" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="anggotaAwal">Pengajuan Proposal</label>
                                <input type="number" name="pengajuanProposal" class="form-control" value="0">
                            </div>
                            <div class="mb-3">
                                <label for="jenisUsaha">Jenis Usaha</label>
                                <select name="jenisUsaha" class="form-control select2">
                                    <option value="" selected disabled>-- Pilih --</option>
                                    @foreach ($jenisUsaha as $jenisUsaha)
                                    <option value="{{ $jenisUsaha->id }}">{{ $jenisUsaha->jenis_usaha }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="mb-3">
                                <label for="tanggalBerdiri">Jamninan</label>
                                <input type="text" name="jaminan" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="tanggalBerdiri">Nama Penjamin</label>
                                <input type="text" name="namaPenjamin" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="tanggalBerdiri">Kekeluargaan</label>
                                <select name="kekeluargaan" class="form-control select2">
                                    <option value="" selected disabled>-- Pilih --</option>
                                    @foreach ($kekeluargaan as $kekeluargaan)
                                    <option value="{{ $kekeluargaan->id }}">{{ $kekeluargaan->keluarga }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="mb-3">
                                <label for="awalPinjaman">Jenis Kelamin</label>
                                <select name="jenisKelaminPenjamin" class="form-control select2">
                                    <option value="" selected disabled>-- Pilih --</option>
                                    <option value="L">Laki-laki</option>
                                    <option value="P">Perempuan</option>
                                </select>
                            </div>
                            <div class="mb-3 mt-2">
                                <label for="manufacturername">Photo</label>
                                <input name="fileGambar" type="file" class="form-control" placeholder="Choose image"
                                    id="image" accept="image/*" />
                                <p class="mt-2">

                                    <img id="preview-image" src="{{ url('assets/images/upload.png') }}"
                                        alt="preview image" style="max-height: 100px;">
                                </p>

                                <a class="btn btn-danger btn-sm" id="removePreview" style="display: none;">Hapus</a>
                            </div>

                        </div>
                        <div class="d-flex flex-wrap gap-2">
                            <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                            <button type="button" class="btn btn-secondary waves-effect waves-light">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- end row -->

@endsection
@section('script')


<!-- select 2 plugin -->
<script src="{{ url('assets/libs/select2/select2.min.js') }}"></script>

<!-- dropzone plugin -->
<script src="{{ url('assets/libs/dropzone/dropzone.min.js') }}"></script>

<!-- init js -->
<script src="{{ url('assets/js/pages/ecommerce-select2.init.js') }}"></script>
<script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>
<script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
<script src="{{ URL::asset('/assets/libs/bootstrap-datepicker/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ URL::asset('/assets/libs/datepicker/datepicker.min.js') }}"></script>
<script src="{{ URL::asset('/assets/js/pages/form-advanced.init.js') }}"></script>
<script>
    $('#image').change(function () {

        let reader = new FileReader();
        reader.onload = (e) => {
            $('#preview-image').attr('src', e.target.result);
        }
        reader.readAsDataURL(this.files[0]);

    });

    $('#removePreview').click(function () {
        $('#image').val('');
        $('#preview-image').attr('src', "{{ url('assets/images/upload.png') }}");
    })

</script>

@endsection

resources/views/Anggota/anggotaKelompok/anggotaKelompokShow.blade.php
@extends('layouts.master')

@section('title') {{ $title }} @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

    @component('components.breadcrumb')
        @slot('li_1') Keangotaan @endslot
        @slot('title') Daftar Kelompok @endslot
    @endcomponent

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    @if ($message = Session::get('success'))
                    <div class="alert border-0 border-start border-5 border-primary alert-dismissible fade show">
                        <div>{{ $message }}</div>
                    </div>
	                @endif
                    {{-- <h4 class="card-title">Default Datatable</h4>
                    <p class="card-title-desc">DataTables has most features enabled by
                        default, so all you need to do to use it with your own tables is to call
                        the construction function: <code>$().DataTable();</code>.
                    </p> --}}
                    <p>


                        <a class="btn btn-primary btn-sm" href="{{ route('kelompok-anggota.create') }}">Tambah</a>
                    </p>
                    <table id="datatable" class="table table-bordered dt-responsive nowraps w-100">
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>NIK</th>
                                <th>Nama</th>
                                <th>JK</th>
                                <th>Alamat</th>
                                <th>Kelompok</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>

                        @php
                            $i = 1;
                        @endphp
                        <tbody>
                            @foreach ($data as $data )
                            <tr>
                                <td>{{ $i++ }}</td>
                                <td>{{ $data->nik }}</td>
                                <td>{{ $data->nama_lengkap }}</td>
                                <td>{{ $data->jenis_kelamin }}</td>
                                <td>{{ $data->alamat }}</td>
                                <td>{{  getNamaKelompok($data->id_kelompok) }}</td>
                                <td>{{  getStatus($data->status) }}</td>
                                <td>

                                    <div class="dropdown float-end">
                                        <button class="btn btn-primary btn-sm" type="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="bx bxs-cog align-middle me-1"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-end" style="">
                                            <form action="{{ route('kelompok-anggota.destroy',$data->id) }}" method="POST">
                                                <a class="dropdown-item" href="{{ route('kelompok-anggota.show',$data->id) }}">View</a>
                                                <a class="dropdown-item" href="{{ route('kelompok-anggota.edit',$data->id) }}">Edit</a>
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit" class="dropdown-item">Delete</button>
                                                </form>
                                        </div>
                                    </div>



                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>

                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->



@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
@endsection